Bug 164900 - Some productivity suggestions
Some productivity suggestions
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-02 09:49 EDT by Need Real Name
Modified: 2008-02-27 01:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-27 01:16:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 132173 None None None Never

  None (edit)
Description Need Real Name 2005-08-02 09:49:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Epiphany/1.6.3

Description of problem:
I have twelve gnome-terminal screens (in tabs or windows) on my destop, all
doing similar things.
Remembering which one does what is a pain.

I know there is already an RFE for drag and droppable tabs, so I won't suggest that.

It would be nice if there was a way to differentiate between all the screens, by
use of colour and labels (i.e. rename this tab).

It would be nice if there was a screen-like option where a window which gets new
activity (or stops activity) "barks" in some way, e.g. the tab might flash.

Thanks.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
x
  

Additional info:
Comment 1 Jef Spaleta 2005-08-02 09:55:29 EDT
> It would be nice if there was a way to differentiate between all the screens, by
> use of colour and labels (i.e. rename this tab).

Change profile doesn't provide this functionality for you?
I use change profile for exactly this sort of feature. I create profiles with
different background colors and title string segments then apply those profiles
to terminal tabs or open new terminals as a certain profile.

-jef
Comment 2 Need Real Name 2005-08-02 11:07:15 EDT
I see what you mean. I think it does provide the functionality, but it's put at
a level where it's less useful than it could be.
It would be nice to have it more easily accessible, i.e. right-clicking a tab.

I'll try it out though.
Comment 3 Need Real Name 2005-08-02 11:13:10 EDT
I think your idea fits for pre-arranged profiles that you know you will use.
e.g. you might have a kernel compile profile and a xen hacking profile and a cvs
profile.

I won't really have set profiles like this. I'd have to use "yellow profile",
"blue profile", etc. This is where the quick access to customising terminals
would come in useful (but also the ability to change tab colours).
Comment 4 Jef Spaleta 2005-08-02 11:21:26 EDT
You can define profiles however you like. If you want "yellow profile" you can
have "yellow profile".. the profiles are flexible enough to allow this, if that
is how you want to use them.  State information is saved by saving the type of
profile a tab is using. If you want different tabs to have different remembered
configurations when you bring the session back up you are going to have to
define profiles to remember that information.   

The change profile and edit current profile items exist in the right-click menu
when you right click in the terminal area. Is that really less useful than
right-clicking the tab? A profile defines more than just the title.. it lets you
change several aspects of the terminal display. If you want to move the whole
terminal right-click area to the tab as well..fine. But i wouldn't call the
right click menu on the display area useless.

-jef
Comment 5 Need Real Name 2005-10-19 08:42:56 EDT
I've been playing around with this, and I think for this to be useful, the
ability to label a tab quickly is what would be valuable.

The "I have activity" option would also be good.
Comment 6 Need Real Name 2005-10-19 08:49:44 EDT
and the ability to save scrollback to a file would be good too, but that's
(spookily similar bug number) bug 161900
Comment 7 Christian Iseli 2007-01-22 07:00:12 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 8 petrosyan 2008-02-23 01:23:43 EST
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.

Note You need to log in before you can comment on or make changes to this bug.